Also, a too modern toolchain may contain 'incompatibilities' with Teensy core files.
( I had that years ago, when I tried to use a off-the web toolchain)
Now I stick with the one Teensyduino...